# Created by pyp2rpm-3.3.6
%global pypi_name yq

Name:           python-%{pypi_name}
Version:        2.12.0
Release:        1%{?dist}
Summary:        Command-line YAML/XML processor - jq wrapper for YAML/XML documents

License:        Apache Software License
URL:            https://github.com/kislyuk/yq
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(argcomplete) >= 1.8.1
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(pyyaml) >= 3.11
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml) >= 0.10
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(xmltodict) >= 0.11

%description
yq: Command-line YAML/XML processor - jq wrapper for YAML and XML documents
Installation pip3 install yqBefore using yq, you also have to install its
dependency, jq. See the jq installation instructions < for details and
directions specific to your platform.On macOS, yq is also available on Homebrew
< use brew install python-yq.Synopsis yq takes YAML input, converts it to JSON,
and pipes it to...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(argcomplete) >= 1.8.1
Requires:       python3dist(coverage)
Requires:       python3dist(flake8)
Requires:       python3dist(pyyaml) >= 3.11
Requires:       python3dist(setuptools)
Requires:       python3dist(toml) >= 0.10
Requires:       python3dist(wheel)
Requires:       python3dist(xmltodict) >= 0.11
%description -n python3-%{pypi_name}
yq: Command-line YAML/XML processor - jq wrapper for YAML and XML documents
Installation pip3 install yqBefore using yq, you also have to install its
dependency, jq. See the jq installation instructions < for details and
directions specific to your platform.On macOS, yq is also available on Homebrew
< use brew install python-yq.Synopsis yq takes YAML input, converts it to JSON,
and pipes it to...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/tomlq
%{_bindir}/xq
%{_bindir}/yq
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Apr 15 2021 Vadim Raskhozhev <iamdexpl@gmail.com> - 2.12.0-1
- Initial package.